osl::eval::endgame::DefenseKing Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Static Public Member Functions | Static Private Attributes | List of all members
osl::eval::endgame::DefenseKing Class Reference

玉の位置*守備駒の位置*ptype More...

`#include <defenseKing.h>`

Collaboration diagram for osl::eval::endgame::DefenseKing:
[legend]

## Classes
struct | Table

## Static Public Member Functions
static int | valueOf (const Piece king, const Piece defender)
static int | valueOf (Piece king, PtypeO ptypeo, Square position)
static void | saveText (const char *filename)
static void | loadText (const char *filename)
static void | resetWeights (const int *w)

## Static Private Attributes
static Table | table

## Detailed Description

玉の位置*守備駒の位置*ptype

Definition at line 19 of file defenseKing.h.

## Member Function Documentation

static void osl::eval::endgame::DefenseKing::loadText | ( | const char * | filename) |  |
| inlinestatic

Definition at line 40 of file defenseKing.h.

References osl::eval::endgame::KingPieceTable::loadText(), and table.

static void osl::eval::endgame::DefenseKing::resetWeights | ( | const int * | w) |  |
| inlinestatic

Definition at line 41 of file defenseKing.h.

References osl::eval::endgame::KingPieceTable::resetWeights(), and table.

static void osl::eval::endgame::DefenseKing::saveText | ( | const char * | filename) |  |
| inlinestatic

Definition at line 39 of file defenseKing.h.

References osl::eval::endgame::KingPieceTable::saveText(), and table.

static int osl::eval::endgame::DefenseKing::valueOf | ( | const Piece | king,
|  | const Piece | defender
| ) |  |
| inlinestatic

Definition at line 27 of file defenseKing.h.

References osl::Piece::ptypeO(), and osl::Piece::square().

Referenced by osl::eval::endgame::DefenseKing::Table::Table(), and osl::eval::endgame::AttackDefense::valueOf().

static int osl::eval::endgame::DefenseKing::valueOf | ( | Piece | king,
|  | PtypeO | ptypeo,
|  | Square | position
| ) |  |
| inlinestatic

Definition at line 31 of file defenseKing.h.

References osl::getOwner(), osl::getPtype(), osl::KING, osl::Piece::owner(), osl::Piece::ptype(), osl::Piece::square(), table, and osl::eval::endgame::KingPieceTable::valueOf().

## Member Data Documentation

eval::endgame::DefenseKing::Table osl::eval::endgame::DefenseKing::table
| staticprivate

Definition at line 25 of file defenseKing.h.

Referenced by loadText(), resetWeights(), saveText(), and valueOf().

The documentation for this class was generated from the following files:

- defenseKing.h
- tables.cc